import {get, post} from '../http'

const posDevices = {
  getDevicePages: (params) => {
    return post('pos/getPosDevicePages', params)
  },
  getSiteList: () => {
    return get('pos/getSites')
  },
  /**
   * 获取指定站点的充电桩列表
   * @param {Object} params sitePk
   */
  getStationBySite: (params) => {
    return get('pos/getStations', params)
  },
  /**
   * 获取设备信息 
   * @param {Object} params deviceId
   */
  getPosDevice(params) {
    return get('pos/getPosDevice', params)
  },
  addPosDevice: (params) => {
    return post('pos/addPosDevice', params)
  },
  editPosDevice: (params) => {
    return post('pos/updatePosDevice', params)
  },
  /**
   * 删除设备信息 
   * @param {Object} params deviceId
   */
  deletePosDevice(params) {
    return get('pos/delPosDevice', params)
  }
}

export default posDevices;